import moment from 'moment';
import HTMLApp from './HTMLApp';
import Categories from '../../config/Categories';
import OperationConfig from '../../config/OperationConfig';
import Split from '../../lib/split';

/**
 * @author n1474335 [n1474335@gmail.com]
 * @copyright Crown Copyright 2016
 * @license Apache-2.0
 */

/**
 * Main function used to build the CyberChef web app.
 */
const main = function () {
  const default_favourites = [
    'To Base64',
    'From Base64',
    'To Hex',
    'From Hex',
    'To Hexdump',
    'From Hexdump',
    'URL Decode',
    'Regular expression',
    'Entropy',
    'Fork',
  ];

  const default_options = {
    update_url: true,
    show_highlighter: true,
    treat_as_utf8: true,
    word_wrap: true,
    show_errors: true,
    error_timeout: 4000,
    auto_bake_threshold: 200,
    attempt_highlight: true,
    snow: false,
  };

  document.removeEventListener('DOMContentLoaded', main, false);
  window.app = new HTMLApp(Categories, OperationConfig, default_favourites, default_options);
  window.app.setup();
};

// Fix issues with browsers that don't support console.log()
window.console = console || { log() {}, error() {} };

window.compile_time = moment(COMPILE_TIME).valueOf();
window.compile_message = '';

document.addEventListener('DOMContentLoaded', main, false);
